Bug 201187 - [REVIVE PORT] editors/the: The Hessling Editor
Summary: [REVIVE PORT] editors/the: The Hessling Editor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-29 03:09 UTC by Richard Narron
Modified: 2016-01-20 19:01 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
editors/the shar file (5.12 KB, text/plain)
2015-06-29 03:09 UTC, Richard Narron
no flags Details
less-portlint (15.54 KB, text/plain)
2016-01-19 18:48 UTC, Kurt Jaeger
pi: maintainer-approval? (comet.berkeley)
Details
change PORTVERSION to 3.3.r4 (15.54 KB, text/plain)
2016-01-20 00:50 UTC, Richard Narron
no flags Details
Replace patch-Makefile.in with post-extract: sed (5.23 KB, text/plain)
2016-01-20 05:15 UTC, Richard Narron
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Narron 2015-06-29 03:09:36 UTC
Created attachment 158147 [details]
editors/the shar file

I wish to resurrect the Hessling Editor, editors/the, which was removed from the ports tree in April 2014.

This editor is still in development (version 3.3RC3) and uses rexx as it's scripting language.

http://hessling-editor.sourceforge.net/

While re-writing the Makefile I discovered that there are two packages that appear to be identical, devel/pdcurses and devel/pdcurses-the.

The pdcurses-the package is no longer needed as both packages are now the same.

The new editors/the package now defaults to use rexx-regina and ncurses.
Comment 1 Kurt Jaeger freebsd_committer 2016-01-19 15:25:39 UTC
Testbuild mentions one issue:

editors/the/work/THE-3.3RC4/./rexx.c:1877: warning: warning: tmpnam() possibly used unsafely; consider using mkstemp()

Then, portlint -AC has lots of issues with the port. Can you fix them ?

And sorry that it took so long to have a look at this.

Testbuilds are fine on 11a, 10.2a+i, 9.3a.
Comment 2 commit-hook freebsd_committer 2016-01-19 15:29:52 UTC
A commit references this bug:

Author: pi
Date: Tue Jan 19 15:28:58 UTC 2016
New revision: 406710
URL: https://svnweb.freebsd.org/changeset/ports/406710

Log:
  devel/pdcurses-the: DEPRECATE, set EXPIRATION_DATE 2016-01-31

  PR:		201187
  Submitted by:	Richard Narron <comet.berkeley@gmail.com>

Changes:
  head/devel/pdcurses-the/Makefile
Comment 3 Richard Narron 2016-01-19 18:38:11 UTC
Yes, I will take a look and make a cleaner build.
Comment 4 Kurt Jaeger freebsd_committer 2016-01-19 18:48:24 UTC
Created attachment 165835 [details]
less-portlint

Can you have a look at this version and ACK if it is ok ?
Comment 5 Richard Narron 2016-01-20 00:50:46 UTC
Created attachment 165842 [details]
change PORTVERSION to 3.3.r4
Comment 6 Richard Narron 2016-01-20 05:15:44 UTC
Created attachment 165848 [details]
Replace patch-Makefile.in with post-extract: sed

Thanks for your help Kurt.
This version of the package uses sed instead of a patch file for Makefile.in
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-20 08:30:52 UTC
Comment on attachment 165835 [details]
less-portlint

Add maintainer email to request so they may set it its value
Comment 8 commit-hook freebsd_committer 2016-01-20 18:59:25 UTC
A commit references this bug:

Author: pi
Date: Wed Jan 20 18:59:19 UTC 2016
New revision: 406792
URL: https://svnweb.freebsd.org/changeset/ports/406792

Log:
  New port: editors/the

  In fact, this is a reanimation with a newer version.

  THE is a text editor that uses both command line commands and key bindings
  to operate. It is intended to be similar to the VM/CMS System Product
  Editor, XEDIT and to Mansfield Software's, KEDIT.

  WWW: http://hessling-editor.sourceforge.net/

  PR:		201187
  Submitted by:	Richard Narron <comet.berkeley@gmail.com>

Changes:
  head/editors/Makefile
  head/editors/the/
  head/editors/the/Makefile
  head/editors/the/distinfo
  head/editors/the/files/
  head/editors/the/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2016-01-20 19:00:56 UTC
Committed, thanks for your patience.